Bug 166672 - CVE-2005-2672 lm_sensors pwmconfig insecure temporary file usage
Summary: CVE-2005-2672 lm_sensors pwmconfig insecure temporary file usage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lm_sensors   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,reported=20050824,public=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-24 15:11 UTC by Josh Bressers
Modified: 2015-03-05 01:15 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-825
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 19:19:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch from CVS (1.15 KB, patch)
2005-08-24 15:13 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:825 normal SHIPPED_LIVE Low: lm_sensors security update 2005-11-10 05:00:00 UTC

Description Josh Bressers 2005-08-24 15:11:48 UTC
A bug was found in lm_sensors' pwmconfig tool which uses temporary files in an
insecure manner.

Comment 1 Josh Bressers 2005-08-24 15:12:33 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-08-24 15:13:40 UTC
Created attachment 118071 [details]
Upstream patch from CVS

Comment 6 Red Hat Bugzilla 2005-11-10 19:19:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-825.html



Note You need to log in before you can comment on or make changes to this bug.